Bug 635302 - Review Request: rubygem-cairo - Ruby bindings for cairo
Review Request: rubygem-cairo - Ruby bindings for cairo
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
Depends On: 634759 635126
Blocks: 637939 637985 639098 639636 639638
  Show dependency treegraph
Reported: 2010-09-18 16:22 EDT by Mamoru TASAKA
Modified: 2010-10-20 13:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-10-20 13:02:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfojtik: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-09-18 16:22:30 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-cairo/rubygem-cairo.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-cairo/rubygem-cairo-1.10.0-1.fc.src.rpm
Ruby bindings for cairo. Cairo is a 2D graphics library with support for 
multiple output devices. Currently supported output targets include the 
X Window System, win32, and image buffers.

Note: This package will replace currently existing ruby-cairo srpm
Note: This package depends on bug 634759 and bug 635126.
      Mockbuild log with adding these rpms for F-14 is available on
Comment 1 Michal Fojtik 2010-10-05 06:06:40 EDT

[OK ]Packages that contain Ruby Gems must be called rubygem-%{gemname} where gemname is the name from the Gem's specification.
[OK] The Source of the package must be the full URL to the released Gem archive; the version of the package must be the Gem's version
[OK] The package must have a Requires and a BuildRequires on rubygems
[OK] The package must provide rubygem(%{gemname}) where gemname is the name from the Gem's specification. 
[OK] The %prep and %build sections of the specfile should be empty.
[-] Build is used to compile binary extension, so it's OK to this rule

[OK] The Gem must be installed into %{gemdir} defined as %global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)

[OK] The install should be performed with the command
gem install --local --install-dir %{buildroot}%{gemdir} --force %{SOURCE0}
[OK] The package must own the following files and directories:

[OK] Architecture-specific content must not be installed into %{gemdir}
[-] %{ruby_sitearch}/%{gemname}.so is fine here

[OK, see above] If the Gem contains binary content (e.g., for a database driver), it must be marked as architecture specific, and all architecture specific content must be moved from the %{gemdir} to the [#ruby_sitearch %{ruby_sitearch} directory] during %install

Overall it looks perfect to me, but Koji seems to fail to build this package for F13:

100% passed/builddir/build/BUILD/rubygem-cairo-1.10.0/usr/lib/ruby/gems/1.8/gems/cairo-1.10.0/test/test_context.rb:57:in `initialize': out of memory (NoMemoryError)
	from /builddir/build/BUILD/rubygem-cairo-1.10.0/usr/lib/ruby/gems/1.8/gems/cairo-1.10.0/test/test_context.rb:57:in `new'
Comment 2 Mamoru TASAKA 2010-10-05 06:54:16 EDT
! About test failure on F-13
- Ah, thank you. It is found that this error occurs when no fonts are 
  found on system.


* Tue Oct  5 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 1.10.0-2
- Install one font at BuildRequires for test	


New Package SCM Request
Package Name:      rubygem-cairo
Short Description: Ruby bindings for cairo
Owners:            mtasaka
Branches:          f12 f13 f14
Comment 3 Jason Tibbitts 2010-10-05 09:33:23 EDT
Git done (by process-git-requests).
Comment 4 Mamoru TASAKA 2010-10-05 16:51:53 EDT
Rebuilt for F-14/13/12, requested push request on bodhi.
Comment 5 Mamoru TASAKA 2010-10-20 13:02:02 EDT
Closing, thank you.

Note You need to log in before you can comment on or make changes to this bug.